Bug 193902 - mirror volume removal causes "A node has left the cluster" message
mirror volume removal causes "A node has left the cluster" message
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cmirror (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-02 15:49 EDT by Corey Marthaler
Modified: 2010-04-27 10:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 10:53:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-06-02 15:49:54 EDT
Description of problem:
This is the exact same message that is printed when an actual node leaves the
cluster (i.e. when recovery actually happens) so it's confusing/scary to also
see it when just deleting a volume.

[root@taft-04 ~]# lvremove /dev/mirror_1/deanmirror
Do you really want to remove active logical volume "deanmirror"? [y/n]: y
  Logical volume "deanmirror" successfully removed

Jun  2 08:44:21 taft-01 kernel: device-mapper: A node has left the cluster.
Jun  2 08:44:31 taft-01 last message repeated 2 times
Jun  2 08:44:36 taft-01 kernel: device-mapper: Cluster log server is shutting down.

Version-Release number of selected component (if applicable):
cmirror-1.0.0-5
Comment 1 Jonathan Earl Brassow 2006-06-02 17:55:34 EDT
Proposing "A cluster mirror log member has left."

Fix will be in next rev after cmirror-kernel*-2.6.9-4.2.
Comment 2 Corey Marthaler 2006-06-05 17:55:52 EDT
fix verified.
Comment 4 Alasdair Kergon 2010-04-27 10:53:11 EDT
Assuming this VERIFIED fix got released.  Closing.
Reopen if it's not yet resolved.

Note You need to log in before you can comment on or make changes to this bug.